Interlaken
API referenceAgents and workflowsRetrieval

Upload a document (text or base64 pdf/txt/md/json/csv): extracted, chunked, embedded, indexed

POST
/api/v1/rag/collections/{name}/documents

Requires the rag:write permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/rag/collections/string/documents" \  -H "Content-Type: application/json" \  -d '{    "collection": "string",    "name": "string"  }'
{  "chunks": 0,  "error": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "size_bytes": 0,  "status": "string"}